package com.iamberry.wechat.core.entity.integral;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  商品兑换信息
 * @author ys
 * @Date 2018-04-28
 */
public class IntegralProductConvert  implements  Serializable{
    private static final long serialVersionUID = -8623665032906045517L;
    //
    private Integer convertId;
    //商品id
    private Integer integralProductId;
    //所需朵粉币数量
    private Integer convertDfbi;
    //是否邮寄 1:需要邮寄 2:不需要邮寄 def:2
    private Integer convertIsMailing;
    //是否需要支付 1:需要支付 2:不需要支付 def:2
    private Integer convertIsPay;
    //需要支付的金额
    private Integer convertPrice;
    //优惠券类型id 当类型为优惠券时，需要关联某个优惠券类型
    private Integer couponId;
    //创建时间
    private Date convertCreateTime;
    //修改时间'
    private Date convertUpdateTime;

    public Integer getConvertId(){
        return convertId;
    }

    public void setConvertId(Integer  convertId){
        this.convertId=convertId;
    }

    public Integer getIntegralProductId(){
        return integralProductId;
    }

    public void setIntegralProductId(Integer  integralProductId){
        this.integralProductId=integralProductId;
    }

    public Integer getConvertDfbi(){
        return convertDfbi;
    }

    public void setConvertDfbi(Integer  convertDfbi){
        this.convertDfbi=convertDfbi;
    }

    public Integer getConvertIsMailing(){
        return convertIsMailing;
    }

    public void setConvertIsMailing(Integer  convertIsMailing){
        this.convertIsMailing=convertIsMailing;
    }

    public Integer getConvertIsPay(){
        return convertIsPay;
    }

    public void setConvertIsPay(Integer  convertIsPay){
        this.convertIsPay=convertIsPay;
    }

    public Integer getConvertPrice(){
        return convertPrice;
    }

    public void setConvertPrice(Integer  convertPrice){
        this.convertPrice=convertPrice;
    }

    public Integer getCouponId(){
        return couponId;
    }

    public void setCouponId(Integer  couponId){
        this.couponId=couponId;
    }

    public Date getConvertCreateTime(){
        return convertCreateTime;
    }

    public void setConvertCreateTime(Date  convertCreateTime){
        this.convertCreateTime=convertCreateTime;
    }

    public Date getConvertUpdateTime(){
        return convertUpdateTime;
    }

    public void setConvertUpdateTime(Date  convertUpdateTime){
        this.convertUpdateTime=convertUpdateTime;
    }
}